summaryrefslogtreecommitdiff
path: root/.tools
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-04-20 05:22:18 +0300
committerAndrei Karas <akaras@inbox.ru>2017-04-20 05:51:26 +0300
commit92f18b9184d30aef448e2a21da809efff11b505f (patch)
tree3449f5a7c11668f57c122d3690005383c34b2ef2 /.tools
parent5788fac4b0b797cde2779be054ff324c464868be (diff)
downloadserverdata-92f18b9184d30aef448e2a21da809efff11b505f.tar.gz
serverdata-92f18b9184d30aef448e2a21da809efff11b505f.tar.bz2
serverdata-92f18b9184d30aef448e2a21da809efff11b505f.tar.xz
serverdata-92f18b9184d30aef448e2a21da809efff11b505f.zip
Fix ci after last plugin and server changes.s20170424
Diffstat (limited to '.tools')
-rwxr-xr-x.tools/scripts/init.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/.tools/scripts/init.sh b/.tools/scripts/init.sh
index 6ff3efdb..6effb177 100755
--- a/.tools/scripts/init.sh
+++ b/.tools/scripts/init.sh
@@ -110,12 +110,15 @@ function aptget_install {
function make_server {
ls -la ../server-data
ls -la ../server-data/plugins
+ echo source src/evol/tools/vars.sh
+ source ./src/evol/tools/vars.sh
+ check_error $?
export CPPFLAGS="$CPPFLAGS -DI_AM_AWARE_OF_THE_RISK_AND_STILL_WANT_TO_RUN_HERCULES_AS_ROOT"
echo "autoreconf -i"
autoreconf -i
check_error $?
- echo "./configure $*"
- ./configure $1
+ echo ./configure $1 CPPFLAGS=\"${CPPFLAGS}\"
+ ./configure $1 CPPFLAGS="$CPPFLAGS"
export err="$?"
if [ "$err" != 0 ]; then
echo "Error $err"
@@ -139,8 +142,8 @@ function make_server {
check_error $?
mkdir build
cd build
- echo "../configure $2"
- ../configure $2
+ echo ../configure $2 CPPFLAGS=\"${VARS}\"
+ ../configure $2 CPPFLAGS="${VARS}"
check_error $?
echo "make -j2 V=0"
make -j2 V=0